#
# Conditional build:
%bcond_with	tests	# unit tests (need network connection)

%define		pdir	Mail
%define		pnam	Sendmail
Summary:	Mail::Sendmail Perl module
Summary(pl.UTF-8):	Moduł Perla Mail::Sendmail
Name:		perl-Mail-Sendmail
Version:	0.80
Release:	1%{?tld}
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Mail/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	be1d23ebc2edc744ab2457f2086b4e2b
URL:		https://metacpan.org/release/Mail-Sendmail
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mail::Sendmail is a simple platform independent mailer.

%description -l pl.UTF-8
Mail::Sendmail to prosty, niezależny od platformy moduł do wysyłania
poczty.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{?with_tests:%{__make} test}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README Todo
%{perl_vendorlib}/Mail/Sendmail.pm
%{_mandir}/man3/Mail::Sendmail.3pm*
%changelog
* Sat Apr 27 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Mail-Sendmail.git;a=log;h=c429f2fb21004e352ed4861a42e1c203d6d9ab19

* Sun Aug 30 2020 Jakub Bogusz <qboosh@pld-linux.org> c429f2f
- updated URL and dependencies

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> d4abb50
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> d614112
- up to 0.80

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> ab57946
- use generic url

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9edf7e2
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3205943
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bf77d72
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 85d5fca
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> fb9855f
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> c423486
- cosmetics: unification

* Fri Apr 23 2004 ankry <ankry@pld-linux.org> d94f810
- tests bcond (disabled by default)
- unknown license

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 39fb2e5
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 32a5b20
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 4811f65
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 0561154
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> b01976c
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> f28ef6c
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> b63c467
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> b0dd523
- autoupdated to 0.79

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> af99a76
- massive attack: change CPAN URLs

